Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Selection set

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
msarqui
321 Views, 3 Replies

Selection set

This is a easy one...I hope

 

I am trying to select all (if it exists) rectangles in the layer Tx-Viewport an change it's global width to 50. But I only get this: ; error: bad SSGET list

 

(defun c:RectWidth ( / ss)
(if (setq ss (ssget "_X" '((0. LWPLYLINE)(8 . "Tx-Viewport"))))
(command "._pedit" ss "w" "50" ""))
(princ)
)

 

What is wrong?

 

Thanks

3 REPLIES 3
Message 2 of 4
pbejse
in reply to: msarqui


@msarqui wrote:

This is a easy one...I hope

 

I am trying to select all (if it exists) rectangles in the layer Tx-Viewport an change it's global width to 50. But I only get this: ; error: bad SSGET list

 

(defun c:RectWidth ( / ss)
(if (setq ss (ssget "_X" '((0. LWPLYLINE)(8 . "Tx-Viewport"))))
(command "._pedit" ss "w" "50" ""))
(princ)
)

 

What is wrong?

 

Thanks


 

(defun c:RectWidth (/ ss)
(if (setq ss (ssget "_X" '((0 . "LWPOLYLINE") (8 . "Tx-Viewport"))))
(command "._pedit" "_m" ss "" "w" "50" ""))
(princ))

 

HTH

 

 

Message 3 of 4
msarqui
in reply to: pbejse

Thanks pbejse

 

I really need to be more attentive to the details.

It's perfect now.

 

Regards

Message 4 of 4
pbejse
in reply to: msarqui


@msarqui wrote:

Thanks @pbejse

 

I really need to be more attentive to the details.

It's perfect now.

 

Regards


You are welcome, thats what make us human after all,

 

Keep on coding msarqu.

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost